Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = MaybeOwner<'tcx>;

## Aliased Type§

    pub enum Value<'tcx> {
        Owner(&'tcx OwnerInfo<'tcx>),
        NonOwner(HirId),
    }

## Variants§

§

### Owner(&'tcx OwnerInfo<'tcx>)

§

### NonOwner(HirId)

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 16 bytes

Size for each variant:

- `Owner`: 12 bytes
- `NonOwner`: 8 bytes